$(document).ready(function(){
	
	var camera = $('#camera'),
		photos = $('#photos'),
		screen =  $('#screen');


	/*----------------------------------
		Установки веб камеры
	----------------------------------*/


	webcam.set_swf_url('/components/photokiosk/webcam/webcam.swf');
	webcam.set_api_url('/photokiosk/upload.html');	// Скрипт загрузки
	webcam.set_quality(80);				// Качество фотографий JPEG
	webcam.set_shutter_sound(true, '/components/photokiosk/webcam/shutter.mp3');

	// Генерируем код HTML для камеры и добавляем его на страницу:	
	screen.html(
		webcam.get_html(screen.width(), screen.height())
	);


	/*------------------------------
		Обработчики событий
	-------------------------------*/


	var shootEnabled = false;
		
	$('#shootButton').click(function(){
		
		if(!shootEnabled){
			return false;
		}
		
		webcam.freeze();
		togglePane();
		return false;
	});
	
	$('#cancelButton').click(function(){
		webcam.reset();
		togglePane();
		return false;
	});
	
	$('#uploadButton').click(function(){
		webcam.upload();
		webcam.reset();
		togglePane();
		return false;
	});

	camera.find('.settings').click(function(){
		if(!shootEnabled){
			return false;
		}
		
		webcam.configure('camera');
	});



	/*---------------------- 
		Возвратные вызовы
	----------------------*/
	
	
	webcam.set_hook('onLoad',function(){
		// Когда FLASH загружен, разрешаем доступ 
		// к кнопкам "Снимаю" и "Установка"
		shootEnabled = true;
	});
	
	webcam.set_hook('onComplete', function(msg){
		
		// Данный ответ возвращается upload.php
		// и содержит имя изображения в формате объекта JSON
		
		
		msg = $.parseJSON(msg);
		
		if(msg.error){
			alert(msg.message);
		}
		else {
		alert("Изображение успешно загружено! Можете перейти в личные снимки.");
		}
		
	});
	
	webcam.set_hook('onError',function(e){
		screen.html(e);
	});
	
	
	/*-------------------------------------
		Наполняем страницу изображениями
	-------------------------------------*/
	
	var start = '';
	




	// Данная функция разрешает доступ к двум 
	// элментам div .buttonPane:
	
	function togglePane(){
		var visible = $('#camera .buttonPane:visible:first');
		var hidden = $('#camera .buttonPane:hidden:first');
		
		visible.fadeOut('fast',function(){
			hidden.show();
		});
	}
	


});
